@import "../../../assets/scss/variables.scss";
@import "../../../assets/scss/mixins.scss";

.m-profile {

  &__block {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    width: 670px;
    background-color: $main-transparent;
    padding: 1.125rem 1.25rem;
    border: 1px solid $accent-color-main;
    border-radius: 3px;
  }
  
  &__greetings {
    font-weight: normal;
    font-size: 1rem;
    margin-bottom: 1rem;
    color: $white-light;
  }

  &__avatar {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 140px;
    min-width: 140px;
    height: 140px;
    border-radius: 3px;
    overflow: hidden;

    &-img {
      max-width: 100%;
      display: block;
      cursor: pointer;
    }

    &-overlay {
      opacity: 0;
      visibility: hidden;

      display: flex;
      justify-content: center;
      align-items: center;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      z-index: 2;
      background-color: rgba(#000, 0.75);

      transition: opacity 250ms ease, visibility 150ms ease;
    }

    &-upload {
      color: $white-light;
      border: 1px solid $white-light;
      padding: 0.5rem 0.25rem;

      &:hover,
      &:active,
      &:focus {
        color: $white;
        border: 1px solid $white;
        background-color: rgba($white, 0.2);
      }

      &:active {
        transform: scale(0.95);
      }
    }

    &:hover &-overlay {
      opacity: 1;
      visibility: visible;
    }

    &-file {
      display: none;
    }
  }

  &__username {
    font-size: 1.8rem;
    margin-bottom: 5px;

    &_edit {
      color: $white;
      background: transparent;
      border: 0;
    }

    &-button {
      font-size: 1.3rem;
      padding: 3px;
      margin-left: 5px;
      color: rgba($white, 0.4);
      @include button-icon;
    }
  }

  &__description {
    font-size: 1rem;
    color: rgba($white, 0.4);
    display: flex;

    &-button {
      cursor: pointer;
      width: fit-content;
      padding: 5px;
      word-break: break-word;
      @include button-icon;
    }

    &_edit {
      border: 0;
      background: transparent;
      color: $white;
      flex-grow: 2;
    }
  }

  &__information {
    margin-left: 1rem;
    flex-grow: 2;
  }

  &__actions {
    margin-left: auto;

    &-button {
      cursor: pointer;
      padding: 0.5rem;
    }
  }

  &__subscribe {
    color: $primary;

    &:hover {
      color: $primary-hover;
    }

    &_active {
      color: $disabled;

      &:hover {
        color: $white;
      }
    }
  }
  
  &__signout {
    color: $danger;

    &:hover {
      color: $danger-hover;
    }
  }

  &__statistics {
    display: flex;
    background-color: $dark-active;
    border-radius: 3px;
    border: 1px solid $accent-color-main;
    margin-top: 1rem;
    max-width: fit-content;
  }

  &__statistic {
    &-item {
      text-align: center;
      padding: 6px;
      min-width: 60px;
    }

    &-count {
      font-size: 1.875rem;
    }

    &-text {
      font-size: 1rem;
    }

    &-icon {
      font-size: 1.25rem;
    }

    &-likes {
      color: $success;
    }

    &-dislikes {
      color: $danger;
    }
  }

  &__murr-cards {
    margin-top: 1rem;
  }

  &__my-likes {
    color: #fff;
    margin: 2rem;
    text-decoration: none;
    &:hover {
      color: #fff;
    }
  }

  &__cropper {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 10;
    background: rgba($dark, 0.9);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    &-container {
      background: $dark-accent-primary;
      padding: 10px;
    }

    &-title {
      margin-bottom: 20px;
    }

    &-loader {
      margin-bottom: 20px;
    }

    &-crop {
      .cropper-modal {
        opacity: 0.65;
      }

      .cropper-view-box {
        border-radius: 50%;
      }

      margin-bottom: 20px;
    }

    &-actions {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
    }
  }
}
